# $Id: db.sql,v 1.7 2000/08/19 14:03:22 tommy Exp $

create table body (
  id int not null,
  header text,
  body longtext,
  primary key (id)
);

create table followed (
  id int not null,
  c_list text,
  primary key (id)
);

create table header (
  id int not null,
  mdate int,
  mfrom char(128),
  subject char(128),
  reply_to int,
  primary key (id)
);

create table msgid (
  msgid char(128) not null,
  id int,
  primary key (msgid)
);

create table attach (
  id int not null,
  path char(128) not null,
  fname char(128),
  ct char(128),
  body longtext,
  primary key (id, path)
);

create table raw (
  id int not null,
  message longtext,
  primary key (id)
);
